%define upstream_name    Devel-GlobalDestruction
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Expose PL_dirty, the flag which marks global

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Scope::Guard)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl-devel
BuildArch:	noarch

%description
Perl's global destruction is a little tricky to deal with WRT finalizers
because it's not ordered and objects can sometimes disappear.

Writing defensive destructors is hard and annoying, and usually if global
destruction is happenning you only need the destructors that free up non
process local resources to actually execute.

For these constructors you can avoid the mess by simply bailing out if
global destruction is in effect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Sep 16 2014 dsilakov <denis.silakov@rosalab.ru> 0.130.0-1
+ Revision: 41d8f5b
- Merge pull request #2 from import/perl-Devel-GlobalDestruction:auto_update
- ROSA Updates Builder: update suggested


